[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Crt' (#rtl)

# InsLine

Insert an empty line at cursor position

## Declaration

Source position: crth.inc line 88

`procedure InsLine;`

## Description

InsLine inserts an empty line at the current cursor position. Lines following the current line are scrolled 1 line down, causing the last line to disappear from the window. The cursor doesn't move.

## Errors

None.

## See also

ClrEol |  | Clear from cursor position till end of line.
DelLine |  | Delete line at cursor position.
ClrScr |  | Clear current window.

## Example

    Program Example10;
    uses Crt;

    { Program to demonstrate the InsLine function. }

    begin
      ClrScr;
      WriteLn;
      WriteLn('Line 1');
      WriteLn('Line 3');
      WriteLn;
      WriteLn('Oops, forgot Line 2, let''s insert at the cursor postion');
      GotoXY(1,3);
      ReadKey;
      InsLine;
      Write('Line 2');
      GotoXY(1,10);
    end.